# Get Payment Methods

```
GET 
/payment-methods
```

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

**Deprecated.** Use [Get Allowed Payment Methods](#tag/Payment-Methods/operation/paymentMethods_getAllowed) for server-side (API key) or [Get Client Payment Methods](#tag/Payment-Methods/operation/paymentMethods_getClient) for client-side usage instead.

Retrieve available payment methods for an account or a specific payment.

You can provide either an `accountId` or a `paymentId` as a query parameter to get the available payment methods.

When providing a `paymentId`, the response will include additional payment-specific information such as amount and currency.

You can also filter results by `amount`, `currency`, or `countryCode` to narrow down available payment methods.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 404
* 422
* 500
* 503

Available payment methods

The request is incorrect or could not be processed

Unauthorized error. Please check your auth credentials

The specified resource was not found

The request was well-formed but could not be processed due to semantic errors

Unexpected server error

The service is temporarily unavailable
